import java.io.StringReader;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.Templates;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
import org.apache.xerces.parsers.DOMParser;
import org.jdom.DocType;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.transform.JDOMSource;
import org.xml.sax.InputSource;

/*
 * testXML.java
 *
 * Created on April 12, 2002, 11:36 AM
 */

/**
 *
 * @author  Eric
 */
public class testXML {
    
    /** Creates a new instance of testXML */
    public testXML() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws Exception {
        System.getProperties().setProperty("javax.xml.parsers.DocumentBuilderFactory", "org.apache.xerces.jaxp.DocumentBuilderFactoryImpl");
        TransformerFactory tFactory = TransformerFactory.newInstance();
        Templates template = tFactory.newTemplates(new StreamSource("/test.xsl"));
        Transformer processor = template.newTransformer();
        processor.transform(new JDOMSource(new Document(new Element("ROOT"), new DocType("REQUETE", "file:///test.dtd" ))), new StreamResult(System.out));
    }
}
